<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["t"]) ) {

    $error = array('purchaseDetails' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }
    //view all transaction information

    if (@$_GET['t'] != "") {

      @$tId = mysql_prep($_GET['t']);

      $transferInfo = find_transfer_detail_by_id($tId);

      if(!$transferInfo){

        $error = array('transferDetails' => 'something went wrong');
        exit(json_encode($error));
      } 

      //transfer details
      $transferDetails = array("transferDetails" => $transferInfo);

      exit(json_encode($transferDetails));
    
    }  

  
  }else{

    exit(json_encode(array("error" => "unauthorised") ));
  }





